Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.actions.converters
Class SmooksService

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.soa.esb.actions.converters.SmooksService

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, SmooksServiceMBean, org.jboss.system.Service, org.jboss.system.ServiceMBean

    public class SmooksService

extends org.jboss.system.ServiceMBeanSupport
implements SmooksServiceMBean

SmooksService implementation.

Initialises the "global" Smooks instance.

Author:
  tom.fennelly@jboss.com

Field Summary

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`SmooksService()`

Method Summary
`static org.jboss.soa.esb.actions.converters.SmooksInstanceManager` | `getGlobalSmooksInstanceManager()`
`java.lang.String` | `getPropertyFile()` Get the property file.
`void` | `setPropertyFile(java.lang.String propertyFile)` Set the property file.
`protected void` | `startService()`
`protected void` | `stopService()`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, createService, destroy, destroyService, getDeploymentInfo, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, nextNotificationSequenceNumber, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Constructor Detail

### SmooksService

    public SmooksService()

Method Detail

### startService

    protected void startService()
                         throws java.lang.Exception

  Overrides:
    `startService` in class `org.jboss.system.ServiceMBeanSupport`
  Throws:
    `java.lang.Exception`

### stopService

    protected void stopService()
                        throws java.lang.Exception

  Overrides:
    `stopService` in class `org.jboss.system.ServiceMBeanSupport`
  Throws:
    `java.lang.Exception`

### getGlobalSmooksInstanceManager

    public static org.jboss.soa.esb.actions.converters.SmooksInstanceManager getGlobalSmooksInstanceManager()

### getPropertyFile

    public java.lang.String getPropertyFile()

  Get the property file.

  Specified by:
    `getPropertyFile` in interface `SmooksServiceMBean`
  Returns:
    The name of the property file being used.

### setPropertyFile

    public void setPropertyFile(java.lang.String propertyFile)

  Set the property file.

  Specified by:
    `setPropertyFile` in interface `SmooksServiceMBean`
  Parameters:
    `propertyFile` - The name of the property file being used.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD